Liblinphone: Carddav_vcard

Liblinphone 5.0.0

Macros | Typedefs | Functions
Carddav_vcard

## Macros
#define | LINPHONE_VCARD BELLE_SIP_CAST(object, LinphoneVcard)
| Cast a belle_sip_object_t into LinphoneVcard.

## Typedefs
typedef struct _LinphoneVcard | LinphoneVcard
| Object storing contact information using vCard 4.0 format.

## Functions
LinphoneVcard * | linphone_vcard_ref (LinphoneVcard *vCard)
| Take a ref on a LinphoneVcard. More...
void | linphone_vcard_unref (LinphoneVcard *vCard)
| Release a LinphoneVcard. More...
LinphoneVcard * | linphone_vcard_clone (const LinphoneVcard *vCard)
| Clone a LinphoneVcard. More...
const char * | linphone_vcard_as_vcard4_string (LinphoneVcard *vCard)
| Returns the vCard4 representation of the LinphoneVcard. More...
void | linphone_vcard_set_full_name (LinphoneVcard *vCard, const char *name)
| Sets the FN attribute of the vCard (which is mandatory). More...
const char * | linphone_vcard_get_full_name (const LinphoneVcard *vCard)
| Returns the FN attribute of the vCard, or NULL if it isn't set yet. More...
void | linphone_vcard_set_skip_validation (LinphoneVcard *vCard, bool_t skip)
| Sets the skipFieldValidation property of the vcard. More...
bool_t | linphone_vcard_get_skip_validation (const LinphoneVcard *vCard)
| Returns the skipFieldValidation property of the vcard. More...
void | linphone_vcard_set_family_name (LinphoneVcard *vCard, const char *name)
| Sets the family name in the N attribute of the vCard. More...
const char * | linphone_vcard_get_family_name (const LinphoneVcard *vCard)
| Returns the family name in the N attribute of the vCard, or NULL if it isn't set yet. More...
void | linphone_vcard_set_given_name (LinphoneVcard *vCard, const char *name)
| Sets the given name in the N attribute of the vCard. More...
const char * | linphone_vcard_get_given_name (const LinphoneVcard *vCard)
| Returns the given name in the N attribute of the vCard, or NULL if it isn't set yet. More...
void | linphone_vcard_add_sip_address (LinphoneVcard *vCard, const char *sip_address)
| Adds a SIP address in the vCard, using the IMPP property. More...
void | linphone_vcard_remove_sip_address (LinphoneVcard *vCard, const char *sip_address)
| Removes a SIP address in the vCard (if it exists), using the IMPP property. More...
void | linphone_vcard_edit_main_sip_address (LinphoneVcard *vCard, const char *sip_address)
| Edits the preferred SIP address in the vCard (or the first one), using the IMPP property. More...
const bctbx_list_t * | linphone_vcard_get_sip_addresses (LinphoneVcard *vCard)
| Returns the list of SIP addresses in the vCard (all the IMPP attributes that has an URI value starting by "sip:") or NULL. More...
void | linphone_vcard_add_phone_number (LinphoneVcard *vCard, const char *phone)
| Adds a phone number in the vCard, using the TEL property. More...
void | linphone_vcard_remove_phone_number (LinphoneVcard *vCard, const char *phone)
| Removes a phone number in the vCard (if it exists), using the TEL property. More...
bctbx_list_t * | linphone_vcard_get_phone_numbers (const LinphoneVcard *vCard)
| Returns the list of phone numbers in the vCard (all the TEL attributes) or NULL. More...
void | linphone_vcard_set_organization (LinphoneVcard *vCard, const char *organization)
| Fills the Organization field of the vCard. More...
const char * | linphone_vcard_get_organization (const LinphoneVcard *vCard)
| Gets the Organization of the vCard. More...
void | linphone_vcard_remove_organization (LinphoneVcard *vCard)
| Removes the Organization field of the vCard. More...
bool_t | linphone_vcard_generate_unique_id (LinphoneVcard *vCard)
| Generates a random unique id for the vCard. More...
void | linphone_vcard_set_uid (LinphoneVcard *vCard, const char *uid)
| Sets the unique ID of the vCard. More...
const char * | linphone_vcard_get_uid (const LinphoneVcard *vCard)
| Gets the UID of the vCard. More...
void | linphone_vcard_set_etag (LinphoneVcard *vCard, const char *etag)
| Sets the eTAG of the vCard. More...
const char * | linphone_vcard_get_etag (const LinphoneVcard *vCard)
| Gets the eTag of the vCard. More...
void | linphone_vcard_set_url (LinphoneVcard *vCard, const char *url)
| Sets the URL of the vCard. More...
const char * | linphone_vcard_get_url (const LinphoneVcard *vCard)
| Gets the URL of the vCard. More...

## Detailed Description

## Function Documentation

## ◆ linphone_vcard_add_phone_number()

void linphone_vcard_add_phone_number | ( | LinphoneVcard * | vCard,
|  | const char * | phone
| ) |  |

Adds a phone number in the vCard, using the TEL property.

Parameters

  vCard | the LinphoneVcard
  phone | the phone number to add

## ◆ linphone_vcard_add_sip_address()

void linphone_vcard_add_sip_address | ( | LinphoneVcard * | vCard,
|  | const char * | sip_address
| ) |  |

Adds a SIP address in the vCard, using the IMPP property.

Parameters

  vCard | the LinphoneVcard
  sip_address | the SIP address to add

## ◆ linphone_vcard_as_vcard4_string()

const char* linphone_vcard_as_vcard4_string | ( | LinphoneVcard * | vCard | ) |

Returns the vCard4 representation of the LinphoneVcard.

Parameters

  vCard | the LinphoneVcard

Returns
  a const char * that represents the vCard.

## ◆ linphone_vcard_clone()

LinphoneVcard* linphone_vcard_clone | ( | const LinphoneVcard * | vCard | ) |

Clone a LinphoneVcard.

Parameters

  vCard | LinphoneVcard object

Returns
  a new LinphoneVcard object

## ◆ linphone_vcard_edit_main_sip_address()

void linphone_vcard_edit_main_sip_address | ( | LinphoneVcard * | vCard,
|  | const char * | sip_address
| ) |  |

Edits the preferred SIP address in the vCard (or the first one), using the IMPP property.

Parameters

  vCard | the LinphoneVcard
  sip_address | the new SIP address

## ◆ linphone_vcard_generate_unique_id()

bool_t linphone_vcard_generate_unique_id | ( | LinphoneVcard * | vCard | ) |

Generates a random unique id for the vCard.

If is required to be able to synchronize the vCard with a CardDAV server

Parameters

  vCard | the LinphoneVcard

Returns
  TRUE if operation is successful, otherwise FALSE (for example if it already has an unique ID)

## ◆ linphone_vcard_get_etag()

const char* linphone_vcard_get_etag | ( | const LinphoneVcard * | vCard | ) |

Gets the eTag of the vCard.

Parameters

  vCard | the LinphoneVcard

Returns
  the eTag of the vCard in the CardDAV server, otherwise NULL.

## ◆ linphone_vcard_get_family_name()

const char* linphone_vcard_get_family_name | ( | const LinphoneVcard * | vCard | ) |

Returns the family name in the N attribute of the vCard, or NULL if it isn't set yet.

Parameters

  vCard | the LinphoneVcard

Returns
  the family name of the vCard, or NULL

## ◆ linphone_vcard_get_full_name()

const char* linphone_vcard_get_full_name | ( | const LinphoneVcard * | vCard | ) |

Returns the FN attribute of the vCard, or NULL if it isn't set yet.

Parameters

  vCard | the LinphoneVcard

Returns
  the display name of the vCard, or NULL.

## ◆ linphone_vcard_get_given_name()

const char* linphone_vcard_get_given_name | ( | const LinphoneVcard * | vCard | ) |

Returns the given name in the N attribute of the vCard, or NULL if it isn't set yet.

Parameters

  vCard | the LinphoneVcard

Returns
  the given name of the vCard, or NULL

## ◆ linphone_vcard_get_organization()

const char* linphone_vcard_get_organization | ( | const LinphoneVcard * | vCard | ) |

Gets the Organization of the vCard.

Parameters

  vCard | the LinphoneVcard

Returns
  the Organization of the vCard or NULL.

## ◆ linphone_vcard_get_phone_numbers()

bctbx_list_t* linphone_vcard_get_phone_numbers | ( | const LinphoneVcard * | vCard | ) |

Returns the list of phone numbers in the vCard (all the TEL attributes) or NULL.

Parameters

  vCard | the LinphoneVcard

Returns
  The phone numbers as string.

## ◆ linphone_vcard_get_sip_addresses()

const bctbx_list_t* linphone_vcard_get_sip_addresses | ( | LinphoneVcard * | vCard | ) |

Returns the list of SIP addresses in the vCard (all the IMPP attributes that has an URI value starting by "sip:") or NULL.

Parameters

  vCard | the LinphoneVcard

Returns
  The SIP addresses.

## ◆ linphone_vcard_get_skip_validation()

bool_t linphone_vcard_get_skip_validation | ( | const LinphoneVcard * | vCard | ) |

Returns the skipFieldValidation property of the vcard.

Parameters

  vCard | the LinphoneVcard

Returns
  the skipFieldValidation property of the vcard

## ◆ linphone_vcard_get_uid()

const char* linphone_vcard_get_uid | ( | const LinphoneVcard * | vCard | ) |

Gets the UID of the vCard.

Parameters

  vCard | the LinphoneVcard

Returns
  the UID of the vCard, otherwise NULL.

## ◆ linphone_vcard_get_url()

const char* linphone_vcard_get_url | ( | const LinphoneVcard * | vCard | ) |

Gets the URL of the vCard.

Parameters

  vCard | the LinphoneVcard

Returns
  the URL of the vCard in the CardDAV server, otherwise NULL.

## ◆ linphone_vcard_ref()

LinphoneVcard* linphone_vcard_ref | ( | LinphoneVcard * | vCard | ) |

Take a ref on a LinphoneVcard.

Parameters

  vCard | LinphoneVcard object

Returns
  the same LinphoneVcard object

## ◆ linphone_vcard_remove_organization()

void linphone_vcard_remove_organization | ( | LinphoneVcard * | vCard | ) |

Removes the Organization field of the vCard.

Parameters

  vCard | the LinphoneVcard

## ◆ linphone_vcard_remove_phone_number()

void linphone_vcard_remove_phone_number | ( | LinphoneVcard * | vCard,
|  | const char * | phone
| ) |  |

Removes a phone number in the vCard (if it exists), using the TEL property.

Parameters

  vCard | the LinphoneVcard
  phone | the phone number to remove

## ◆ linphone_vcard_remove_sip_address()

void linphone_vcard_remove_sip_address | ( | LinphoneVcard * | vCard,
|  | const char * | sip_address
| ) |  |

Removes a SIP address in the vCard (if it exists), using the IMPP property.

Parameters

  vCard | the LinphoneVcard
  sip_address | the SIP address to remove

## ◆ linphone_vcard_set_etag()

void linphone_vcard_set_etag | ( | LinphoneVcard * | vCard,
|  | const char * | etag
| ) |  |

Sets the eTAG of the vCard.

Parameters

  vCard | the LinphoneVcard
  etag | the eTAG.

## ◆ linphone_vcard_set_family_name()

void linphone_vcard_set_family_name | ( | LinphoneVcard * | vCard,
|  | const char * | name
| ) |  |

Sets the family name in the N attribute of the vCard.

Parameters

  vCard | the LinphoneVcard
  name | the family name to set for the vCard

## ◆ linphone_vcard_set_full_name()

void linphone_vcard_set_full_name | ( | LinphoneVcard * | vCard,
|  | const char * | name
| ) |  |

Sets the FN attribute of the vCard (which is mandatory).

Parameters

  vCard | the LinphoneVcard
  name | the display name to set for the vCard

## ◆ linphone_vcard_set_given_name()

void linphone_vcard_set_given_name | ( | LinphoneVcard * | vCard,
|  | const char * | name
| ) |  |

Sets the given name in the N attribute of the vCard.

Parameters

  vCard | the LinphoneVcard
  name | the given name to set for the vCard

## ◆ linphone_vcard_set_organization()

void linphone_vcard_set_organization | ( | LinphoneVcard * | vCard,
|  | const char * | organization
| ) |  |

Fills the Organization field of the vCard.

Parameters

  vCard | the LinphoneVcard
  organization | the Organization.

## ◆ linphone_vcard_set_skip_validation()

void linphone_vcard_set_skip_validation | ( | LinphoneVcard * | vCard,
|  | bool_t | skip
| ) |  |

Sets the skipFieldValidation property of the vcard.

Parameters

  vCard | the LinphoneVcard
  skip | skipFieldValidation property of the vcard

## ◆ linphone_vcard_set_uid()

void linphone_vcard_set_uid | ( | LinphoneVcard * | vCard,
|  | const char * | uid
| ) |  |

Sets the unique ID of the vCard.

Parameters

  vCard | the LinphoneVcard
  uid | the unique id

## ◆ linphone_vcard_set_url()

void linphone_vcard_set_url | ( | LinphoneVcard * | vCard,
|  | const char * | url
| ) |  |

Sets the URL of the vCard.

Parameters

  vCard | the LinphoneVcard
  url | the URL.

## ◆ linphone_vcard_unref()

void linphone_vcard_unref | ( | LinphoneVcard * | vCard | ) |

Release a LinphoneVcard.

Parameters

  vCard | LinphoneVcard object